# BitmapCharacterInfo

The BitmapCharacterInfo contains information about a single character in a [FlatRedBall.Graphics.BitmapFont](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php). Usually BitmapCharacterInfos are not manually created - they are created automatically when loading a .fnt file into a BitmapFont; however, if you are creating custom fonts in code, you can do so by creating BitmapCharacterInfos.

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/forum.md) for a rapid response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/bitmapfont/flatredball-graphics-bitmapcharacterinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
